summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2018-12-18 23:19:05 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2018-12-21 19:30:01 +0000
commit3e86723a32078a4b4e33b8693dc5d82ea4352d36 (patch)
treef72c926e0c97fb668c06798585e7c42b6afdd02b /tcwg-benchmark.sh
parent608c5dff2d8ce8bb81f34206c86667f7ea540aec (diff)
tcwg-benchmark.sh: Support ssh:// method for sysroot.
Change-Id: I8397a8bcbeda5892d314f0675cc9be0c428cd214
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index b3fcd3f5..e72fcc9b 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -155,6 +155,19 @@ case "$sysroot" in
rsync -a --delete -e "ssh -p$build_container_port" "$sysrootdir/" "$build_container_host:$sysrootdir/"
sysroot="$build_container_host:$build_container_port:$sysrootdir"
;;
+ "ssh://"*)
+ sysroot="${sysroot##ssh://}"
+
+ # Check host:port specification from sysroot.
+ case ${sysroot} in
+ *:*) ;;
+ *)
+ echo "ERROR: ssh:// sysroot lacks a host: $sysroot"
+ exit 1
+ ;;
+ esac
+ ;;
+
"")
# Use system sysroot.
;;